org.apache.commons.collections4

## Interface Predicate<T>

- Type Parameters:
    `T` - the type that the predicate queries
  All Known Subinterfaces:
    PredicateDecorator<T>
  All Known Implementing Classes:
    AbstractQuantifierPredicate, AllPredicate, AndPredicate, AnyPredicate, ComparatorPredicate, EqualPredicate, ExceptionPredicate, FalsePredicate, IdentityPredicate, InstanceofPredicate, NonePredicate, NotNullPredicate, NotPredicate, NullIsExceptionPredicate, NullIsFalsePredicate, NullIsTruePredicate, NullPredicate, OnePredicate, OrPredicate, TransformedPredicate, TransformerPredicate, TruePredicate, UniquePredicate
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public interface Predicate<T>

  Defines a functor interface implemented by classes that perform a predicate test on an object.

  A `Predicate` is the object equivalent of an `if` statement. It uses the input object to return a true or false value, and is often used in validation or filtering.

  Standard implementations of common predicates are provided by `PredicateUtils`. These include true, false, instanceof, equals, and, or, not, method invokation and null testing.

  Since:
    1.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluate(T object)` Use the specified parameter to perform a test that returns true or false.

- - ### Method Detail

    - #### evaluate

          boolean evaluate(T object)

      Use the specified parameter to perform a test that returns true or false.
      Parameters:
        `object` - the object to evaluate, should not be changed
      Returns:
        true or false
      Throws:
        `ClassCastException` - (runtime) if the input is the wrong class
        `IllegalArgumentException` - (runtime) if the input is invalid
        `FunctorException` - (runtime) if the predicate encounters a problem

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.